package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterResourceAggregate;
import com.lightinit.hsdatashow.entity.WaterResourceAggregateExample;
import com.lightinit.hsdatashow.entity.WaterStorageAggregate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WaterResourceAggregateMapper {
    long countByExample(WaterResourceAggregateExample example);

    int deleteByExample(WaterResourceAggregateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterResourceAggregate record);

    int insertSelective(WaterResourceAggregate record);

    List<WaterResourceAggregate> selectByExample(WaterResourceAggregateExample example);

    WaterResourceAggregate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterResourceAggregate record, @Param("example") WaterResourceAggregateExample example);

    int updateByExample(@Param("record") WaterResourceAggregate record, @Param("example") WaterResourceAggregateExample example);

    int updateByPrimaryKeySelective(WaterResourceAggregate record);

    int updateByPrimaryKey(WaterResourceAggregate record);

    List<WaterResourceAggregate> getWaterResourceAggregate();

    List<WaterStorageAggregate> getWaterResourceAggregateList(int year);
}